AddLightWeightPolyline Method

IntelliCAD 11.1 Object Library
AddLightWeightPolyline Method
See Also 
Vertices
A series of Point objects specifying coordinate locations for each polyline vertex.
Block Collection : AddLightWeightPolyline Method

Description

Adds a lightweight polyline.

Syntax

Visual Basic
Public Function AddLightWeightPolyline( _
   ByVal Vertices As Points _
) As LWPolyline

Parameters

Vertices
A series of Point objects specifying coordinate locations for each polyline vertex.

Example

Private Sub AddLWP_Example()

' This example adds a lightweight polyline to the drawing.

     Dim myDoc As IntelliCAD.Document

     Dim myPline As IntelliCAD.LWPolyline

     Dim myPoints As points

     Dim pt As Point

     Set myDoc = ActiveDocument

     Set myPoints = Library.CreatePoints

     Set pt = Library.CreatePoint(1, 1, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set pt = Library.CreatePoint(3, 3, 0)

     myPoints.Add

     myPoints(myPoints.Count - 1).x = pt.x

     myPoints(myPoints.Count - 1).y = pt.y

     myPoints(myPoints.Count - 1).z = pt.z

     Set myPline = ThisDocument.ModelSpace.AddLightWeightPolyline(myPoints)

     myPline.Update

     ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.